List connections
curl --request GET \
--url https://api.panoqore.example/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connections": [
{
"connector": {
"id": "<string>",
"name": "<string>",
"short": "<string>",
"kind": "<string>",
"description": "<string>",
"connects": "<string>",
"status": "<string>",
"currencies": [
"<string>"
],
"events": "<string>",
"settlesTo": "<string>",
"before": [
"<string>"
],
"capabilities": [
{
"title": "<string>",
"status": "<string>",
"when": "<string>"
}
],
"connected": true,
"using": "<string>",
"partner": "<string>"
},
"mode": "<string>",
"historyAccess": "<string>",
"hasCredential": true,
"namedAccounts": "<string>",
"settlement": [
"<string>"
],
"lastWebhookAt": "2023-11-07T05:31:56Z",
"lastPolledAt": "2023-11-07T05:31:56Z",
"failingSince": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Tenant
List connections
Where money enters or leaves the tenant, and how each connection is doing.
Scope: read.
GET
/
v1
/
connections
List connections
curl --request GET \
--url https://api.panoqore.example/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connections": [
{
"connector": {
"id": "<string>",
"name": "<string>",
"short": "<string>",
"kind": "<string>",
"description": "<string>",
"connects": "<string>",
"status": "<string>",
"currencies": [
"<string>"
],
"events": "<string>",
"settlesTo": "<string>",
"before": [
"<string>"
],
"capabilities": [
{
"title": "<string>",
"status": "<string>",
"when": "<string>"
}
],
"connected": true,
"using": "<string>",
"partner": "<string>"
},
"mode": "<string>",
"historyAccess": "<string>",
"hasCredential": true,
"namedAccounts": "<string>",
"settlement": [
"<string>"
],
"lastWebhookAt": "2023-11-07T05:31:56Z",
"lastPolledAt": "2023-11-07T05:31:56Z",
"failingSince": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}